import { RuntimeViewAction } from '@oinone/kunlun-engine';
import { Matched, Router } from '@oinone/kunlun-router';
import { UrlQueryParameters } from '../../basic';
import { ViewActionWidget } from './ViewActionWidget';
export declare class RouterViewActionWidget extends ViewActionWidget {
    get router(): Router | undefined;
    set router(router: Router | undefined);
    get matched(): Matched | undefined;
    set matched(matched: Matched | undefined);
    initialize(config: any): this;
    protected clickAction(): Promise<void>;
    /**
     * 执行动作
     * @param action
     * @param parameters
     * @protected
     */
    protected executeAction(action: RuntimeViewAction, parameters: UrlQueryParameters): void;
    /**
     * @deprecated
     */
    protected realExecuteAction(action: RuntimeViewAction, parameters: UrlQueryParameters): void;
}
